RTS: delete BlockedOnGA* + dead code
ClosedPublic

Authored by thomie on Apr 24 2016, 5:51 AM.

Details

Summary

Some old stuff related to the PAR way.

Test Plan

it builds

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
thomie retitled this revision from to RTS: delete BlockedOnGA* + dead code.Apr 24 2016, 5:51 AM
thomie updated this object.
thomie edited the test plan for this revision. (Show Details)
austin added inline comments.
includes/rts/Constants.h
213

Could we bump and re-use these IDs? Or will that probably cause hysterical raisins? (/cc @simonmar)

If not, maybe just add a note these shouldn't change (or pointers on how to change them, if anything else needs to be kept in sync).

thomie added inline comments.Apr 28 2016, 4:18 PM
includes/rts/Constants.h
213

There are some notes already:

....
* NB. keep these in sync with GHC/Conc.lhs: threadStatus
....
#define BlockedOnMVarRead   14 /* TODO: renumber me, see #9003 */
....
/* WARNING WARNING top number is BlockedOnMVarRead 14, not 13!! */
....

Renumbering this is not trivial, see the big discussion in Trac #9003, so I left it at this.

simonmar accepted this revision.Apr 29 2016, 3:10 AM
simonmar added a reviewer: simonmar.
This revision is now accepted and ready to land.Apr 29 2016, 3:10 AM
This revision was automatically updated to reflect the committed changes.